2019-12-09 05:22 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000832FSSCPgameplaypublic2006-11-25 01:25
ReporterCP5670 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000832: Support ship sometimes doesn't jump in
DescriptionSometimes, when you call in a support ship, Command sends the "support ship jumping in" message and the support status HUD indicator shows "warping in", but the ship never actually arrives. You can cancel the support request, but calling in a new one does the same thing. I'm not sure what exactly causes this, but it seems to only occur after the second or third support ship is destroyed (or has departed).

This is a fairly major problem since it's making one of my missions impossible. (by the time you need to reload, the AIs have often already called in support ships a few times and all have been destroyed by the enemy) This issue has been around for quite a while, at least six months.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004981

Goober5000 (administrator)

At least six months? I've played several campaigns in that time and don't recall ever having that problem.

~0004995

CP5670 (reporter)

It used to occur in the 8/28/05 and 9/17/05 builds I was using regularly until recently and is still there in 2/26/06, so it seems to have been around for quite a while. I tried reproducing this problem elsewhere but can only get it to occur in that particular mission. However, it almost always occurs there at some point.

I could upload the mission if it will help, although it runs off my PI mods so I'll need to put up those along with it.

~0004996

Goober5000 (administrator)

Yeah, that would help. Best to reproduce things as closely as possible. :)

~0004998

CP5670 (reporter)

http://home.comcast.net/~cp5670/pi16.rar

I can generally get the problem to occur by destroying the phoron with bombs, calling in the support ship, using the new load of bombs on the Xanthus (usually not enough to blow it up) and attempting to call in support again.

~0005395

phreak (developer)

Last edited: 2006-04-26 22:26

I'm getting a 404 on the mission file.

edit: dyslexia 4tl

edited on: 04-26-06 22:26

~0005397

CP5670 (reporter)

uh...I think I accidentally moved around that file at some point to free up some space. Sorry about that, try the link again.

~0006016

Goober5000 (administrator)

Something just occurred to me. Do those fighters have dock points? If so, are they flagged as support ship dock points?

~0006135

CP5670 (reporter)

Do you mean the player's fighter? I just tried the mission with a different ship and it occurs with that too, so it doesn't look like it's related to that.

Or do you mean that an AI ship may not be properly undocking with the support ship?

~0006136

redmenace (manager)

Do you know when this first showed up?

~0006137

CP5670 (reporter)

I know it was happening in the 8/28/05 build, so it's been around since at least then. I can't test the mission with the old builds anymore though, as I have made changes to it with a newer FRED2 that's not compatible with those.

~0006139

Goober5000 (administrator)

I mean, check all your player fighter models and make sure they all have dock points that are flagged for support ships.

I've played a bunch of campaigns since August and I've never had trouble calling in a support ship.

~0006156

CP5670 (reporter)

There are only two custom fighter models used in that mission and I changed all those ships to ones from the original game, but it still occurs every time.

~0006273

CP5670 (reporter)

Last edited: 2006-07-21 01:05

Just for the heck of it, I tried cheating and giving everyone unlimited weapons, so they wouldn't call in support, but still got the problem after the first support ship was destroyed as it tried to dock with me. So this may actually not have any connection to the AIs.

Since it's only happening in this particular mission, I'm wondering if it's possible to use some kind of sexp-based hack to simulate the whole support ship system. Or a better option might be to make clone versions of the support ships in ships.tbl with huge hitpoint values, which should allow me to get around the problem since they would never get destroyed. What does the game do if there are multiple support ship classes for the same species?

edited on: 07-21-06 01:05

~0007162

Goober5000 (administrator)

Yeesh. This was a nasty bug. Easy to track down, but it had the potential to kill the entire sexp system at the most fundamental level. Anyway, it's fixed now. :)
+Notes

-Issue History
Date Modified Username Field Change
2006-02-24 14:16 CP5670 New Issue
2006-02-28 21:19 Goober5000 Note Added: 0004981
2006-03-01 00:04 CP5670 Note Added: 0004995
2006-03-01 00:16 Goober5000 Note Added: 0004996
2006-03-01 02:33 CP5670 Note Added: 0004998
2006-03-01 22:06 Goober5000 Status new => assigned
2006-03-01 22:06 Goober5000 Assigned To => Goober5000
2006-04-26 19:27 phreak Note Added: 0005395
2006-04-26 22:26 phreak Note Edited: 0005395
2006-04-26 23:36 CP5670 Note Added: 0005397
2006-07-02 01:27 Goober5000 Note Added: 0006016
2006-07-10 11:51 CP5670 Note Added: 0006135
2006-07-10 12:43 redmenace Note Added: 0006136
2006-07-10 13:39 CP5670 Note Added: 0006137
2006-07-10 16:29 Goober5000 Note Added: 0006139
2006-07-13 02:19 CP5670 Note Added: 0006156
2006-07-21 00:58 CP5670 Note Added: 0006273
2006-07-21 01:03 CP5670 Note Edited: 0006273
2006-07-21 01:05 CP5670 Note Edited: 0006273
2006-11-25 01:25 Goober5000 Note Added: 0007162
2006-11-25 01:25 Goober5000 Status assigned => resolved
2006-11-25 01:25 Goober5000 Resolution open => fixed
2006-11-25 01:25 Goober5000 Fixed in Version => 3.6.9
+Issue History